> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withverifa.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withverifa.com/_mcp/server.

# Get audit finding statistics

GET https://api.withverifa.com/api/v1/audit/stats

Reference: https://docs.withverifa.com/api-reference/audit-findings/get-audit-stats

## Authentication

- `X-API-Key` header (required) — Organization API key. Keys are prefixed with `vk_live_` (production) or `vk_sandbox_` (sandbox).

## Request

### Headers

- `Verifa-Version` (date, optional) — API version date string (e.g. `2026-02-01`). If omitted, the version pinned to your API key is used.

## Response

### 200

Aggregate finding statistics.

- `data` (ApiV1AuditStatsGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 401 Unauthorized Error

Missing or invalid API key.

- `error` (string, required) — Short error code.
- `status_code` (integer, required) — HTTP status code.
- `detail` (string, optional) — Human-readable error description.

### 403 Forbidden Error

Insufficient permissions.

- `any`

## Types

### ApiV1AuditStatsGetResponsesContentApplicationJsonSchemaData

- `total_findings` (integer, required)
- `by_severity` (ApiV1AuditStatsGetResponsesContentApplicationJsonSchemaDataBySeverity, required)
- `by_status` (ApiV1AuditStatsGetResponsesContentApplicationJsonSchemaDataByStatus, required)

### ApiV1AuditStatsGetResponsesContentApplicationJsonSchemaDataBySeverity

- `critical` (integer, optional)
- `high` (integer, optional)
- `medium` (integer, optional)
- `low` (integer, optional)

### ApiV1AuditStatsGetResponsesContentApplicationJsonSchemaDataByStatus

- `open` (integer, optional)
- `acknowledged` (integer, optional)
- `dismissed` (integer, optional)

## Examples

**Response**

```json
{
  "data": {
    "total_findings": 1,
    "by_severity": {
      "critical": 1,
      "high": 1,
      "medium": 1,
      "low": 1
    },
    "by_status": {
      "open": 1,
      "acknowledged": 1,
      "dismissed": 1
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.withverifa.com/api/v1/audit/stats"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.withverifa.com/api/v1/audit/stats';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withverifa.com/api/v1/audit/stats"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withverifa.com/api/v1/audit/stats")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withverifa.com/api/v1/audit/stats")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withverifa.com/api/v1/audit/stats', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.withverifa.com/api/v1/audit/stats");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withverifa.com/api/v1/audit/stats")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```